%define upstream_name	 Gnome2-GConf
%define upstream_version 1.044

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 20

Summary:	Perl module for the gnome2-2.x GConf libraries
License:	GPL+ or Artistic
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://www.cpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Gnome2-GConf-1.044-cfg_src.patch

BuildRequires:	libGConf2-devel >= 2.4.0
BuildRequires:	perl(Glib) >= 1.070
BuildRequires:	perl(Gtk2)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl-devel

Conflicts:	drakxtools < 9.1-15mdk
Requires:	perl-Glib >= 1.070

%description
This module provides perl access to GNOME-2.x GConf2 libraries.

GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
%patch0 -p0 -b .cfg_src

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# this fails, we need to start some gnome thingy, but i don't know which
# one. skipping test for now.
#make test

%install
%makeinstall_std

%files
%doc AUTHOR README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2*
%{perl_vendorarch}/auto/Gnome2


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.44.0-20.mga6
+ Revision: 1027948
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.44.0-19.mga6
+ Revision: 957367
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.44.0-18.mga6
+ Revision: 844877
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 1.44.0-17.mga6
+ Revision: 842333
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.44.0-16.mga5
+ Revision: 751113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.44.0-15.mga5
+ Revision: 684879
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.44.0-14.mga5
+ Revision: 632235
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.44.0-13.mga4
+ Revision: 524794
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.44.0-12.mga4
+ Revision: 431524
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.44.0-11.mga3
+ Revision: 367789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.44.0-10.mga3
+ Revision: 250654
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.44.0-9.mga2
+ Revision: 138574
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.44.0-8.mga2
+ Revision: 104420
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.44.0-7.mga1
+ Revision: 36257
- mageia rebuild
- imported package perl-Gnome2-GConf

